/**
 * 使用种子串生成一个随机字符串，默认长度为32
 * @param {string} len 字符串长度
 * @param {string} stuff 种子字符串
 * @returns {string} 随机生成的字符串
 */
module.exports.nonceString = (len = 32, stuff = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678') => {
  /****默认去掉了容易混淆的字符oOLl,9gq,Vv,Uu,I1****/
  return new Array(len).fill('').map(_ => stuff.charAt(Math.floor(Math.random() * stuff.length))).join('');
};

/**
 * 生成一个随机数字字符串，默认长度为6
 * @param {number} len 字符串长度
 * @returns {string} 随机生成的字符串
 */
module.exports.nonceNumber = (len = 6) => Math.random().toFixed(len).slice(-len);